Cannot Install Datto Linux Agent on SUSE Linux Enterprise 15: Development Packages for the Running Kernel Are Not Installed

Follow

 Issue

When you try to install the Datto Linux Agent on a machine running SUSE Linux Enterprise 15 with the following command: "curl -sS https://cpkg.datto.com/getLinuxAgent.txt | sudo bash", you get the following error: "The development packages for the running kernel are not installed Correct the issue and try again"

Environment

  • Datto ALTO
  • Datto SIRIS
  • Datto Linux Agent
  • SUSE Linux Enterprise 15

Cause

The OS on the protected machine is unable to locate the kernel-syms package.

Description

When trying to install the Datto Linux agent, the Curl command fails as in Figure 1. Attempting to activate the DevelopmentTools module fails with Figure 2.

curl.pngFigure 1: Agent install error (click to enlarge)

Figure 2: DevelopmentTools module error (click to enlarge)

Resolution

1. Make sure the Desktop Applications and DevelopmentTools modules are available. From the command line on the protected machine, run:
SUSEConnect --list-extensions

Figure 3: Available extensions (click to enlarge)

2. Install the Desktop Applications module. Run the following command and ensure successful registration:
SUSEConnect -p sle-module-desktop-applications/15/x86_64

Figure 4: Successful Desktop Applications module registration (click to enlarge)

3. Install the DevelopmentTools module. Run the following command: SUSEConnect -p sle-module-development-tools/15/x86_64

Figure 5: Successful DevelpomentTools module registration (click to enlarge)

4. Install the kernel-syms package. Run the following command:

zypper install kernel-syms

Figure 6: Kernel-syms package installation (click to enlarge)

 5. Reattempt the Datto Linux Agent agent installation. If problems persist, contact Datto Technical Support.


Was this article helpful?

0 out of 0 found this helpful

You must sign in before voting on this article.

Want to talk about it? Head on over to our Community Forum!